document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');
  
  menuToggle.addEventListener('click', () => {
    navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
    menuToggle.classList.toggle('active');
  });

  // Sample data - In a real application, this would come from a backend
  const matches = [
    {
      date: '2023-05-15',
      opponent: 'Benfica',
      title: 'Classic Derby Highlights',
      thumbnail: 'match1.jpg'
    },
    // Add more matches here
  ];

  // Populate timeline
  const timelineContainer = document.querySelector('.timeline-container');
  const populateTimeline = () => {
    // Implementation for timeline population
  };

  // Populate opponents grid
  const opponentsGrid = document.querySelector('.opponents-grid');
  const populateOpponents = () => {
    // Implementation for opponents grid
  };

  // Search functionality
  const searchBtn = document.querySelector('.search-btn');
  const dateFilter = document.querySelector('#date-filter');
  const opponentFilter = document.querySelector('#opponent-filter');
  const resultsGrid = document.querySelector('.results-grid');

  searchBtn.addEventListener('click', () => {
    const date = dateFilter.value;
    const opponent = opponentFilter.value.toLowerCase();
    
    // Filter matches based on criteria
    const filteredMatches = matches.filter(match => {
      return (!date || match.date === date) &&
             (!opponent || match.opponent.toLowerCase().includes(opponent));
    });

    // Display results
    resultsGrid.innerHTML = '';
    filteredMatches.forEach(match => {
      // Create and append match elements
    });
  });

  // Initialize
  populateTimeline();
  populateOpponents();
});
